﻿using System;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace InfragisticsGanttSample
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            InitialiseGrid();
        }

        private void InitialiseGrid()
        {
            ultraCalendarInfo1.Projects.Clear();
            ultraCalendarInfo1.Tasks.Clear();

            var project = ultraCalendarInfo1.Projects.Add("ProjectMilestones", new DateTime(2018, 1, 1));
            project.Key = "ProjectMilestones";

            ultraCalendarInfo1.Tasks.Add(new DateTime(2018, 1, 1), TimeSpan.FromDays(7 * 12), "Parent", "ProjectMilestones");

            ultraGanttView1.CalendarInfo = ultraCalendarInfo1;
            ultraGanttView1.Project = project;
        }

    }
}
